summaryrefslogtreecommitdiffstats
path: root/gnu/usr.bin/dialog/TESTS/treebox
diff options
context:
space:
mode:
Diffstat (limited to 'gnu/usr.bin/dialog/TESTS/treebox')
-rwxr-xr-xgnu/usr.bin/dialog/TESTS/treebox25
1 files changed, 25 insertions, 0 deletions
diff --git a/gnu/usr.bin/dialog/TESTS/treebox b/gnu/usr.bin/dialog/TESTS/treebox
new file mode 100755
index 0000000..c5a546f
--- /dev/null
+++ b/gnu/usr.bin/dialog/TESTS/treebox
@@ -0,0 +1,25 @@
+#!/bin/sh
+DIALOG=${DIALOG=/usr/bin/dialog}
+
+$DIALOG --clear --title "TREE BOX" \
+ --hline "Press arrows, TAB or Enter" \
+ --hfile "../COPYING" \
+ --tree "/" \
+ "This is tree box" -1 -1 10 \
+ `find -x / -type d` 2>/tmp/tree.tmp.$$
+
+retval=$?
+
+choice=`cat /tmp/tree.tmp.$$`
+
+case $retval in
+ 0)
+ echo "'$choice' chosen.";;
+ 1)
+ echo "Cancel pressed.";;
+ 255)
+ [ -z "$choice" ] || echo $choice ;
+ echo "ESC pressed.";;
+esac
+
+rm -f /tmp/tree.tmp.$$
OpenPOWER on IntegriCloud